Redmine - Patch #32094

Remove unnecessary call to set_tmp_attachments_directory
2019-09-19 17:05 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 4.1.0

Description

In test/integration/api_test/attachments_test.rb and test/functional/attachments_controller_test.rb, calling the method
set_tmp_attachments_directory at the tail of a method is unnecessary because the method is called in the teardown method (see
source:tags/4.0.4/test/integration/api_test/attachments_test.rb#L37 and
source:tags/4.0.4/test/functional/attachments_controller_test.rb#L 33).

This patch removes the unnecessary calls to set_tmp_attachments_directory.

Associated revisions

Revision 18484 - 2019-09-20 03:31 - Go MAEDA

Fixes not to call set_tmp_attachments_directory twice after each test (#32094).

Patch by Go MAEDA.

History

#1 - 2019-09-20 03:31 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version set to 4.1.0

Committed the fix.
